<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>alighnw.py</title>
  <link rel="stylesheet" href="pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>alighnw.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      <p>Program which recreates the Needleman Wunsch alignment.
Currently we support the following 1 function:</p>
<ol>
<li><strong>Align_nw</strong> - Call the functions of alighnw_lib (jump to section in   <a href="alighnw_lib.html">alighnw_lib.py</a> )</li>
</ol>
<p>defined in  <a href="alighnw_lib.html">alighnw_lib.py</a></p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">align.alighnw_lib</span> <span class="kn">import</span> <span class="n">get_matrix</span><span class="p">,</span> <span class="n">get_alignment</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      <h3><span id="align_nw" href="align_nw"> Align_nw </span></h3>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">align_nw</span><span class="p">(</span><span class="n">secuencia_1</span><span class="p">,</span> <span class="n">secuencia_2</span><span class="p">):</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      <p>Call the functions of alighnw_lib</p>
<p>Arguments:</p>
<p>secuencia_1 {[str]} &ndash; Sequence one</p>
<p>secuencia_2 {[str]} &ndash; Sequence two</p>
<p>Returns:</p>
<p>[list] &ndash; The list contains the sequences, the alignment and the matrix</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">result</span> <span class="o">=</span> <span class="p">[]</span>
    <span class="n">matr</span> <span class="o">=</span> <span class="n">get_matrix</span><span class="p">(</span><span class="n">secuencia_1</span><span class="p">,</span> <span class="n">secuencia_2</span><span class="p">)</span>
    <span class="n">result</span> <span class="o">=</span> <span class="p">[</span><span class="n">secuencia_1</span><span class="o">.</span><span class="n">upper</span><span class="p">(),</span> <span class="n">secuencia_2</span><span class="o">.</span><span class="n">upper</span><span class="p">(</span>
    <span class="p">),</span> <span class="n">get_alignment</span><span class="p">(</span><span class="n">matr</span><span class="p">,</span> <span class="n">secuencia_1</span><span class="p">,</span> <span class="n">secuencia_2</span><span class="p">),</span> <span class="n">matr</span><span class="p">]</span>

    <span class="k">return</span> <span class="n">result</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
